#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QtGui/QMainWindow>
#include <QPushButton>
#include <QApplication>
#include <QFont>
#include <QVBoxLayout>
#include <QLCDNumber>
#include <QSlider>

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    MainWindow(QWidget *parent = 0);
    ~MainWindow();

private slots:
    void buttonPressed();

private:
    const static int NUMBUTTONS = 8;
    QPushButton *buttons[NUMBUTTONS];
    QLCDNumber *lcd;
};

#endif // MAINWINDOW_H
